org.bdgenomics.adam.sql

# VariantAnnotation

###
Related Docs: object VariantAnnotation | package sql

#### case class VariantAnnotation(ancestralAllele: Option[String] = None, alleleCount: Option[Int] = None, readDepth: Option[Int] = None, forwardReadDepth: Option[Int] = None, reverseReadDepth: Option[Int] = None, referenceReadDepth: Option[Int] = None, referenceForwardReadDepth: Option[Int] = None, referenceReverseReadDepth: Option[Int] = None, alleleFrequency: Option[Float] = None, cigar: Option[String] = None, dbSnp: Option[Boolean] = None, hapMap2: Option[Boolean] = None, hapMap3: Option[Boolean] = None, validated: Option[Boolean] = None, thousandGenomes: Option[Boolean] = None, somatic: Option[Boolean] = None, transcriptEffects: Seq[TranscriptEffect] = Seq(), attributes: Map[String, String] = Map()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantAnnotation
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new VariantAnnotation(ancestralAllele: Option[String] = None, alleleCount: Option[Int] = None, readDepth: Option[Int] = None, forwardReadDepth: Option[Int] = None, reverseReadDepth: Option[Int] = None, referenceReadDepth: Option[Int] = None, referenceForwardReadDepth: Option[Int] = None, referenceReverseReadDepth: Option[Int] = None, alleleFrequency: Option[Float] = None, cigar: Option[String] = None, dbSnp: Option[Boolean] = None, hapMap2: Option[Boolean] = None, hapMap3: Option[Boolean] = None, validated: Option[Boolean] = None, thousandGenomes: Option[Boolean] = None, somatic: Option[Boolean] = None, transcriptEffects: Seq[TranscriptEffect] = Seq(), attributes: Map[String, String] = Map())

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alleleCount: Option[Int]

5. #### val alleleFrequency: Option[Float]

6. #### val ancestralAllele: Option[String]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### val attributes: Map[String, String]

9. #### def canEqual(that: Any): Boolean

   Definition Classes
     VariantAnnotation → Equals

10. #### val cigar: Option[String]

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### val dbSnp: Option[Boolean]

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### val forwardReadDepth: Option[Int]

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### val hapMap2: Option[Boolean]

18. #### val hapMap3: Option[Boolean]

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def productArity: Int

    Definition Classes
      VariantAnnotation → Product

24. #### def productElement(i: Int): Any

    Definition Classes
      VariantAnnotation → Product

25. #### val readDepth: Option[Int]

26. #### val referenceForwardReadDepth: Option[Int]

27. #### val referenceReadDepth: Option[Int]

28. #### val referenceReverseReadDepth: Option[Int]

29. #### val reverseReadDepth: Option[Int]

30. #### val somatic: Option[Boolean]

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### val thousandGenomes: Option[Boolean]

33. #### def toAvro: formats.avro.VariantAnnotation

34. #### val transcriptEffects: Seq[TranscriptEffect]

35. #### val validated: Option[Boolean]

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped